Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.infinispan
Class InfinispanWorkspace

    java.lang.Object
      org.modeshape.graph.connector.base.MapWorkspace<NodeType>
          org.modeshape.graph.connector.base.StandardMapWorkspace<InfinispanNode>
              org.modeshape.connector.infinispan.InfinispanWorkspace

All Implemented Interfaces:
  Workspace

    public class InfinispanWorkspace

extends StandardMapWorkspace<InfinispanNode>

Field Summary

Fields inherited from class org.modeshape.graph.connector.base.MapWorkspace
`name, rootNodeUuid`

Constructor Summary
`InfinispanWorkspace(String name, org.infinispan.Cache<UUID,InfinispanNode> workspaceCache, InfinispanNode rootNode)` Create a new workspace instance.
`InfinispanWorkspace(String name, org.infinispan.Cache<UUID,InfinispanNode> workspaceCache, InfinispanWorkspace originalToClone)` Create a new workspace instance.

Method Summary
`void` | `destroy()`
`void` | `shutdown()` This method shuts down the workspace and makes it no longer usable.

Methods inherited from class org.modeshape.graph.connector.base.StandardMapWorkspace
`getNode, putNode, removeAll, removeNode`

Methods inherited from class org.modeshape.graph.connector.base.MapWorkspace
`getName, getRootNode, getRootNodeUuid, hasNodeCache, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfinispanWorkspace

    public InfinispanWorkspace(String name,
                               org.infinispan.Cache<UUID,InfinispanNode> workspaceCache,
                               InfinispanNode rootNode)

  Create a new workspace instance.

  Parameters:
    `name` - the name of the workspace
    `workspaceCache` - the Infinispan cache containing the workspace content
    `rootNode` - the root node for the workspace

### InfinispanWorkspace

    public InfinispanWorkspace(String name,
                               org.infinispan.Cache<UUID,InfinispanNode> workspaceCache,
                               InfinispanWorkspace originalToClone)

  Create a new workspace instance.

  Parameters:
    `name` - the name of the workspace
    `workspaceCache` - the Infinispan cache containing the workspace content
    `originalToClone` - the workspace that is to be cloned

Method Detail

### destroy

    public void destroy()

### shutdown

    public void shutdown()

  This method shuts down the workspace and makes it no longer usable. This method should also only be called once.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.